function [ output_args ] = typecheck_call( object,src,event )
%TYPECHECK_CALL Summary of this function goes here
%   Detailed explanation goes here

if object.default_prover == object.CVC_const
    
    cvc_ext_call(object,src,event);
else
    pvs_ext_call(object,src,event);
end


end

